## golang-github-mna-redisc 1.1.7

=== debian/changelog ===
golang-github-mna-redisc (1.1.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 02:28:01 +0000

golang-github-mna-redisc (1.1.7-3) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 10:06:50 +0000

golang-github-mna-redisc (1.1.7-2) unstable; urgency=medium

  * update debian/copyright

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Apr 2021 18:25:43 +0100

golang-github-mna-redisc (1.1.7-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Mar 2021 23:25:43 +0000
