=== debian/control ===
Source: golang-github-mna-redisc
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gomodule-redigo-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.5.1
Homepage: https://github.com/mna/redisc
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mna-redisc
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mna-redisc.git
XS-Go-Import-Path: github.com/mna/redisc
Testsuite: autopkgtest-pkg-go

Package: golang-github-mna-redisc-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-gomodule-redigo-dev,
         golang-github-stretchr-testify-dev
Description: redis cluster client
 This package contains a redis cluster client built on top of the
 redigo package.
 .
 The design goal of redisc is to be as compatible as possible with
 the redigo. As such, the Cluster type can be used as a drop-in
 replacement to a redis.Pool, and the connections returned by the
 cluster implement the redis.Conn interface. The package offers
 additional features specific to dealing with a cluster that may
 be needed for more advanced scenarios.
 .
 The main features are:
  - Drop-in replacement for redis.Pool (the Cluster type implements
    the same Get and Close method signatures).
  - Connections are redis.Conn interfaces and use the redigo package
    to execute commands, redisc only handles the cluster part.
  - Support for all cluster-supported commands including scripting,
    transactions and pub-sub.
  - Support for READONLY/READWRITE commands to allow reading data
    from replicas.
  - Client-side smart routing, automatically keeps track of which
    node holds which key slots.
  - Automatic retry of MOVED, ASK and TRYAGAIN errors when desired,
    via RetryConn.
  - Manual handling of redirections and retries when desired, via
    IsTryAgain and ParseRedir.
  - Automatic detection of the node to call based on the command's
    first parameter (assumed to be the key).
  - Explicit selection of the node to call via BindConn when needed.
  - Support for optimal batch calls via SplitBySlot.Alternatives
  - redis-go-cluster
  - radix v1 and v2
